### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
CPISwap::arguments Class Reference

Arguments for swap calculation More...

`#include <ql/instruments/cpiswap.hpp>`

Inherits Swap::arguments.

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

Type | type
Real | nominal

## Detailed Description

Arguments for swap calculation